<GridLayout class="modal" columns="*, *"  rows="*, auto, auto, auto, *" backgroundColor="white">
    <StackLayout class="text-wrapper" row="1" colSpan="2" *ngIf="parans.status === 'Valid'">
        <Image class="bottle-caps-img" src="~/images/bottle-caps.png"></Image>
        <Label class="h2 text-center" text="Code is Valid"></Label>
        <Label class="text-center m-t-20 m-r-30 m-l-30" textWrap="true" text="You win a {{parans?.prize?.prize}}. Would you like to redeem it now?"></Label>
    </StackLayout>

    <StackLayout class="text-wrapper" row="1" colSpan="2" *ngIf="parans.status === 'Redeemed'">
        <Image class="bottle-caps-img" src="~/images/bottle-caps.png"></Image>
        <Label class="h2 text-center" text="Code is already redeemed."></Label>
        <Label class="text-center m-t-20 m-r-30 m-l-30" textWrap="true" text="Would you like to report this?"></Label>
    </StackLayout>

    <StackLayout class="text-wrapper" row="1" colSpan="2" *ngIf="parans.status === 'Invalid'">
        <Image class="bottle-caps-img" src="~/images/bottle-caps.png"></Image>
        <Label class="h2 text-center" text="Code is invalid."></Label>
        <Label class="text-center m-t-20 m-r-30 m-l-30" textWrap="true" text="Plaese check your promotion code again."></Label>
    </StackLayout>

    <Button row="3" col="0" class="btn btn-primary" text="Redeem" *ngIf="parans.status === 'Valid'" (tap)="redeemCode(parans.value)"></Button>
    <Button row="3" col="1" class="btn btn-outline" text="Cancel" *ngIf="parans.status === 'Valid'" (tap)="close()" ></Button>

    <Button row="3" col="0" class="btn btn-primary" text="Report" *ngIf="parans.status === 'Redeemed'" (tap)="reportMultipleRedemptionAttempt()"></Button>
    <Button row="3" col="1" class="btn btn-outline" text="Cancel" *ngIf="parans.status === 'Redeemed'" (tap)="close()" ></Button>
    
    <StackLayout row="3" colSpan="2" *ngIf="parans.status === 'Invalid'">
       <Button colSpan="2" class="btn btn-width-half btn-outline" text="Close" (tap)="close()" ></Button>
    </StackLayout>
</GridLayout>